Skip to main content
Platform O&M/Migration Service (Plus)/Migration Service Operations
GETMigration Service OperationsSince 3.0.1SynchronousAuth Required

QueryV2VConversionHost

QueryV2VConversionHost

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The type.

    • hostUuidStringRequired

      The host UUID.

    • storagePathStringRequired

      The image storage path of the V2V migration.

    • stateStringRequired

      The state.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/v2v-conversion-hosts

/zstack/v1/v2v-conversion-hosts

Operation ID

QueryV2VConversionHost

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/v2v-conversion-hosts' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "91f0ea12823a39dea9db5d1cab133e3f", "name": "V2V-Converter-01", "description": "to convert vm from foreign hypervisor", "type": "VMWARE", "hostUuid": "f773c300a8343774bc45e0ea3980d6da", "storagePath": "/path/to/large/directory/", "state": "Enabled" } ] }

Change History

This API has no change history records yet.

View all change history